<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

/**
 * App\Users
 *
 * @property-read \App\UserType $UserType
 * @mixin \Eloquent
 */
class Users extends Model
{
    protected $table = 'users';

    protected $fillable = [
        'gender',
        'age',
        'fullname',
        'sur_name',
        'given_name',
        'mobile',
        'landline',
        'local_contact_no',
        'email',
        'occupation',
        'passport_no',
        'old_passport_no',
        'marital_status',
        'user_type_id',
        'reference_code',
        'points',
        'registration_status',
        'qr_code',
        'norka_id',
        'status',
        'created_at',
        'updated_at'
    ];
    public function UserType()
    {
        return $this->belongsTo('App\UserType', 'user_type_id');
    }
    public function NativeAddress()
    {
        return $this->belongsTo('App\NativeAddress','user_id');
    }
    public function OverseasAddress()
    {
        return $this->belongsTo('App\OverseasAddress','user_id');
    }
}
